MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
sc::SyscallFailed Class Reference

This is thrown when an system call fails with an errno. More...

`#include <scexception.h>`

Inheritance diagram for sc::SyscallFailed:

List of all members.

## Public Member Functions

| SyscallFailed (const char *description=0, const char *source_file=0, int line=0, const char *syscall=0, int err=0, const ClassDesc *class_desc=0, const char *exception_type="SyscallFailed") throw ()
| SyscallFailed (const SyscallFailed &) throw ()
const char * | syscall () const throw ()
| Returns the file name of the file that caused the error, if known.
int | err () const throw ()

## Detailed Description

This is thrown when an system call fails with an errno.

## Member Function Documentation

const char* sc::SyscallFailed::syscall | ( |  | ) | const throw ()`[inline]`

Returns the file name of the file that caused the error, if known.

Otherwise 0 is returned.

The documentation for this class was generated from the following file:

- scexception.h